aboutsummaryrefslogtreecommitdiff
path: root/shell
diff options
context:
space:
mode:
Diffstat (limited to 'shell')
-rwxr-xr-x[l---------]shell28
1 files changed, 27 insertions, 1 deletions
diff --git a/shell b/shell
index daa19ce..fb4c8b6 120000..100755
--- a/shell
+++ b/shell
@@ -1 +1,27 @@
-assh \ No newline at end of file
+#!/bin/bash
+#
+# simple autossh and screen wrapper
+#
+
+BASENAME="`basename $0`"
+DEST="$1"
+COMMAND="$2"
+
+if [ -z "$DEST" ]; then
+ exit 1
+fi
+
+if [ "$BASENAME" == "asshs" ] || [ "$BASENAME" == "shells" ]; then
+ # Remote screen shell using autossh
+ if [ "$COMMAND" == "root" ]; then
+ autossh $DEST -t -- sudo screen -x
+ else
+ autossh $DEST -t -- screen -x $COMMAND
+ fi
+elif [ "$BASENAME" == "shelll" ]; then
+ # Local screen shell
+ wscreen $*
+else
+ # Remote shell using autossh
+ autossh $DEST -t -- $COMMAND
+fi